## NAME

v.kernel - Generates a raster density map from vector points data using a moving 2D isotropic Gaussian kernel or optionally generates a vector density map on vector network with a 1D kernel

## KEYWORDS

vector, kernel density

## SYNOPSIS

v.kernel
v.kernel help
v.kernel [-oqv] input=name [net=name] output=string stddeviation=float [dsize=float] [segmax=float] [distmax=float] [mult=float]

### Flags:

-o
  Try to calculate an optimal standard deviation with 'stddeviation' taken as maximum (experimental)
-q
  Only calculate optimal standard deviation and exit (no map is written)
-v
  Run verbosely

### Parameters:

input=name
  Input vector with training points
net=name
  Input network vector map
output=string
  output raster/vector map
stddeviation=float
  stddeviation in map units
dsize=float
  discretization error in map units
  Default: 0.
segmax=float
  maximum length of segment on network
  Default: 100.
distmax=float
  maximum distance from point to network
  Default: 100.
mult=float
  multiply the density result by this number
  Default: 1.

## DESCRIPTION

Generates a raster density map from vector points data using a moving 2D isotropic Gaussian kernel or optionally generates a vector density map on vector network with a 1D kernel.

## NOTES

The mult option is needed to overcome the limitation that the resulting density in case of a vector map output is stored as category (Integer). The density result stored as category may be multiplied by this number.

With the -o flag (experimental) the command tries to calculate an optimal standard deviation. The value of stddeviation is taken as maximum value. Standard deviation is calculated using ALL points, not just those in the current region.

## LIMITATIONS

The modules only considers the presence of point, but not (yet) any attribute values.

## SEE ALSO

v.surf.rst

## AUTHOR

Stefano Menegon, ITC-irst, Trento, Italy
Radim Blazek (network part)

Last changed: $Date: 2005/01/11 10:23:39 $

Main index - vector index - Full index